global:
  registry: docker.io
  repository: freeleaps
  environment: alpha
  nodeSelector: {}
dashbaord:
  enabled: false
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/chat/*.log
  logPath: /app/log/chat
chat:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: chat
    tag: snapshot-245d583
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8012
    protocol: TCP
  resources:
    requests:
      cpu: 100m
      memory: 128Mi
    limits:
      cpu: 200m
      memory: 256Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8012
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8012
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: chat-service
    type: ClusterIP
    port: 8012
    targetPort: 8012
    serviceMonitor:
      enabled: false
  ingresses:
  - name: chat-ingress
    host: chat.freeleaps-alpha.com
    class: nginx
    rules:
    - path: /
      pathType: Prefix
      backend:
        service:
          name: chat-service
          port:
            number: 8012
    tls:
      exists: false
      issuerRef:
        name: freeleaps-alpha-dot-com
        kind: ClusterIssuer
      name: chat.freeleaps-alpha.com-cert
  configs:
    tz: UTC
    appName: chat
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8012
    mongodbName: freeleaps2
    mongodbPort: 27017
    emailFrom: freeleaps@freeleaps.com
    siteUrlRoot: https://freeleaps-alpha.com
    jwtAlgorithm: HS256
    rabbitmqHost: freeleaps-alpha-rabbitmq.freeleaps-alpha.svc.freeleaps.cluster
    rabbitmqPort: 5672
    rabbitmqUsername: user
    freeleapsDevsvcEndpoint: http://devsvc-service.freeleaps-alpha.svc.freeleaps.cluster:8007/api/devsvc/
    freeleapsContentEndpoint: http://content-service.freeleaps-alpha.svc.freeleaps.cluster:8013/api/content/
    freeleapsCentralStorageEndpoint: http://central-storage-service.freeleaps-alpha.svc.freeleaps.cluster:8005/api/central_storage/
    freeleapsChatEndpoint: http://chat-service.freeleaps-alpha.svc.freeleaps.cluster:8012/api/chat/
    freeleapsPaymentEndpoint: http://payment-service.freeleaps-alpha.svc.freeleaps.cluster:8006/api/payment/
    freeleapsNotificationEndpoint: http://notification-service.freeleaps-alpha.svc.freeleaps.cluster:8003/api/notification/
    freeleapsAilabEndpoint: ''
    freeleapsEnv: alpha
    certPath: ''
    redisIsCluster: 'false'
    metricsEnabled: 'true'
    probesEnabled: 'true'
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: freeleaps-chat-alpha-secrets
      creationPolicy: Owner
    refreshInterval: 30s
    data:
    - key: mongodbUri
      remoteRef:
        key: freeleaps-alpha-mongodb-uri
        type: Secret
    - key: jwtSecretKey
      remoteRef:
        key: freeleaps-alpha-jwt-secret-key
        type: Secret
    - key: stripeApiKey
      remoteRef:
        key: freeleaps-alpha-stripe-api-key
        type: Secret
    - key: stripeWebhookSecret
      remoteRef:
        key: freeleaps-alpha-stripe-webhook-secret
        type: Secret
    - key: stripeAccountWebhookSecret
      remoteRef:
        key: freeleaps-alpha-stripe-account-webhook-secret
        type: Secret
    - key: stripeSubscriptionWebhookSecret
      remoteRef:
        key: freeleaps-alpha-stripe-subscription-webhook-secret
        type: Secret
    - key: rabbitmqPassword
      remoteRef:
        key: freeleaps-alpha-rabbitmq-password
        type: Secret
    - key: redisUrl
      remoteRef:
        key: freeleaps-alpha-redis-url
        type: Secret
  vpa:
    minAllowed:
      enabled: false
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 200m
      memory: 128Mi
    controlledResources:
    - cpu
    - memory
